# Method: projects.locations.publicKnowledgeGraphEntities.search

Searches the public KG entities with entity name.

### HTTP request

`GET https://enterpriseknowledgegraph.googleapis.com/v1/{parent}/publicKnowledgeGraphEntities:Search`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the Entity's parent resource. Format: `projects/{project}/locations/{location}` It takes the form `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` Required. The literal query string for search. |
| `languages[]` | `string` The list of language codes (defined in ISO 693) to run the query with, e.g. 'en'. |
| `types[]` | `string` Restricts returned entities with these types, e.g. Person (as defined in `https://schema.org/Person`). If multiple types are specified, returned entities will contain one or more of these types. |
| `limit` | `integer` Limits the number of entities to be returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
. . . Response message for `https://docs.cloud.google.com/enterprise-knowledge-graph/docs/reference/rest/v1/projects.locations.cloudKnowledgeGraphEntities/search#google.cloud.enterpriseknowledgegraph.v1.EnterpriseKnowledgeGraphService.Search`.

| JSON representation |
|---|
| ``` { "@context": value, "@type": value, "itemListElement": array } ``` |

| Fields ||
|---|---|
| `@context` | ``value (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Value` format)`` The local context applicable for the response. See more details at <https://www.w3.org/TR/json-ld/#context-definitions>. |
| `@type` | ``value (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Value` format)`` The schema type of top-level JSON-LD object, e.g. ItemList. |
| `itemListElement` | ``array (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.ListValue` format)`` The item list of search results. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `enterpriseknowledgegraph.publicKnowledgeGraphEntities.search`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).